%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Summary:	INI files for PHP
Name:		php-ini
Version:	5.1.6
Release:	%mkrel 1
Group:		Development/Other
URL:		http://www.php.net
License:	PHP License
Source0:	php.ini
Provides:	php5-ini
Obsoletes:	php5-ini
Requires(post):	ccp >= 0.4.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The php-ini package contains the ini files required for PHP.

%prep

%setup -c -T

install -m0644 %{SOURCE0} php.ini

# lib64 hack
perl -p -i -e "s|/usr/lib|%{_libdir}|" php.ini

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0644 php.ini %{buildroot}%{_sysconfdir}/php.ini

%post
# Upgrade the configuration file using ccp if needed
# More information in ccp(1)
ccp --backup --delete --ifexist --set NoOrphans --type ini --oldfile %{_sysconfdir}/php.ini --newfile %{_sysconfdir}/php.ini.rpmnew

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.ini
%dir %{_sysconfdir}/php.d
%dir %{_libdir}/php
%dir %{_libdir}/php/extensions

%changelog
* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-1
- sync with php-5.1.6

* Sat May 13 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-2mdk
- move the session related stuff to the php-session package

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-1mdk
- sync with php-5.1.4
- put php session data in %{_localstatedir}/php and clean it 
  like debian does (#22210)

* Wed Feb 01 2006 Eskild Hustvedt <eskild@mandriva.org> 5.1.2-2mdk
- Updated to use the new ccp syntax and the ini-type

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-1mdk
- sync with php-5.1.2

* Thu Jan 12 2006 Eskild Hustvedt <eskild@mandriva.org> 5.1.1-4mdk
- Fixed ccp syntax
- Requires(post) not Requires on ccp

* Wed Jan 11 2006 Eskild Hustvedt <eskild@mandriva.org> 5.1.1-3mdk
- Now uses ccp for automatic configuration upgrade

* Thu Dec 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-2mdk
- really sync with php-5.1.1
- added the [hardening-patch] entries
- disable making a debug package as it won't apply (thanks rgs)

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-1mdk
- php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-1mdk
- php-5.1.0

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-0.RC4.1mdk
- rebuilt against php-5.1.0RC4

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-0.RC1.1mdk
- synced with the php.ini-dist file from 5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Tue Aug 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-4mdk
- increase the default memory limit (8mb is not enough...)

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-3mdk
- this cannot be a noarch package

* Tue Jul 12 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-2mdk
- sync with the latest hardened-php patch

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-3mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-2mdk
- fix the include path

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-1mdk
- rebuilt for php-5.0.3

* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2-2mdk
- added Hardened-PHP's variable filter entry in php5.ini

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0-1mdk
- built for 5.0.0
- updated S0

* Mon Dec 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 5.0.0-0.1mdk
- built for 5.0.0b2
- updated S0

* Tue Nov 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4-1mdk
- built for 4.3.4

* Mon Aug 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3-1mdk
- built for 4.3.3
- updated S0

* Mon Jul 21 2003 David BAUDENS <baudens@mandrakesoft.com> 4.3.2-2mdk
- Rebuild to fix bad signature

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-1mdk
- built for 4.3.2

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-0.1mdk
- built for 4.3.2RC4
- updated the php.ini file

* Mon May 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1-1mdk
- the obvious rebuild

* Sat Jan  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.3.0-1mdk
- New package
